## verse 0.20

=== Makefile ===
# The location of the verses
VERSE_LIB = /usr/lib/
VERSE_NAME = daily.verse
BIN_DIR = /usr/bin
#CCOPTS = -g
CCOPTS = -O2 -ansi

all : verse randverse

clean :
	rm -f verse *~ randverse

distclean : clean

verse : verse.c
	gcc $(CCOPTS) -DVERSE_LIB=\"$(VERSE_LIB)$(VERSE_NAME)\" -o verse verse.c
	strip verse

randverse : randverse.c
	gcc $(CCOPTS) -o randverse randverse.c
	strip randverse

install : verse $(VERSE_NAME) randverse
	cp verse randverse debian-tmp/$(BIN_DIR)
	cp $(VERSE_NAME) debian-tmp/$(VERSE_LIB)$(VERSE_NAME)

## verse 0.14

=== debian/changelog ===
verse (0.14) unstable; urgency=low

  * Switched off static linking
  * manpage provided
  * debstd used -> compressed docs, manpage, stripping etc.
  * some docs included

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 06:37:35 -0800

verse (0.13) unstable; urgency=low

  * Initial Release with standards 2.0.1.0

 -- Christoph Lameter <clameter@waterf.org>  Thu, 01 Sep 1996 15:37:25 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: verse
Section: misc
Priority: optional
Maintainer: Christoph Lameter <clameter@waterf.org>
Standards-Version: 2.0.1.0

Package: verse
Architecture: any
Depends: ${shlibs:Depends}
Description: Daily Devotional Verse from KJV Bible
 Verse displays a Bible Verse on each login. A verse from the King James
 Version of the Bible is assigned to each day.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=verse

build:
	$(checkdir)
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install --directory debian/tmp/usr/bin debian/tmp/usr/lib
	install -m644 daily.verse debian/tmp/usr/lib
	install -m755 verse debian/tmp/usr/bin
	debstd $(package) README verse.lsm
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f verse.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## verse 0.15

=== debian/changelog ===
verse (0.15) unstable; urgency=low

  * Added menu capability

 -- Christoph Lameter <clameter@waterf.org>  Sat, 14 Dec 1996 17:03:33 -0800

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	install --directory debian/tmp/usr/bin debian/tmp/usr/lib
 	install -m644 daily.verse debian/tmp/usr/lib
 	install -m755 verse debian/tmp/usr/bin
-	debstd $(package) README verse.lsm
+	debstd README verse.lsm
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp

## verse 0.20

=== debian/changelog ===
verse (0.20) unstable; urgency=low

  * rebuild fixes #19426

 -- Christoph Lameter <clameter@debian.org>  Sun, 15 Mar 1998 15:36:59 -0800

verse (0.19) unstable; urgency=low

  * Amended text to eliminate unnecessary verse reference at the start of one text

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Wed, 31 Dec 1997 16:58:36 +0000

verse (0.18) unstable; urgency=low

  * Added dependency on bible-kjv, required by random verse program.
  * Added program to display a verse by random selection
  * New maintainer

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 11 Dec 1997 18:06:01 +0000

verse (0.17) unstable; urgency=low

  * build for libc6. Standards update

 -- Christoph Lameter <clameter@waterf.org>  Sat, 21 Jun 1997 19:05:52 -0700

verse (0.16) unstable; urgency=low

  * Changes section to doc

 -- Christoph Lameter <clameter@waterf.org>  Thu, 6 Feb 1997 11:52:14 -0800

=== debian/control ===
Source: verse
Section: doc
Priority: optional
Maintainer: Oliver Elphick <Oliver.Elphick@lfix.co.uk>
Standards-Version: 2.1.2.2

Package: verse
Architecture: any
Depends: ${shlibs:Depends}, bible-kjv
Description: Daily Devotional Verse from KJV Bible
 Verse displays a Bible Verse on each login. A verse from the King James
 Version of the Bible is assigned to each day.
 .
 There is also a program to display a verse chosen at random.

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,8 @@
 	-rm -rf debian/tmp
 	install --directory debian/tmp/usr/bin debian/tmp/usr/lib
 	install -m644 daily.verse debian/tmp/usr/lib
-	install -m755 verse debian/tmp/usr/bin
-	debstd README verse.lsm
+	install -m755 verse randverse debian/tmp/usr/bin
+	debstd changes README.verse verse.lsm README.randverse copyright
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp

## verse 0.21

=== debian/changelog ===
verse (0.21) frozen unstable; urgency=low

  * Moved randverse out of this package into bible-kjv - closes: bug#30863
  * Updated packaging

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Sun, 14 Nov 1999 20:30:46 +0000

=== debian/control ===
Source: verse
Section: doc
Priority: optional
Maintainer: Oliver Elphick <Oliver.Elphick@lfix.co.uk>
Standards-Version: 3.0.1.1

Package: verse
Section: doc
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: Daily Devotional Verse from KJV Bible
 Verse displays a Bible Verse on each login. A verse from the King James
 Version of the Bible is assigned to each day.

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,9 @@
 	-rm -rf debian/tmp
 	install --directory debian/tmp/usr/bin debian/tmp/usr/lib
 	install -m644 daily.verse debian/tmp/usr/lib
-	install -m755 verse randverse debian/tmp/usr/bin
-	debstd changes README.verse verse.lsm README.randverse copyright
-	dpkg-gencontrol
+	install -m755 verse debian/tmp/usr/bin
+	debstd changes README.verse verse.lsm copyright
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..

## verse 0.22.1

=== debian/changelog ===
verse (0.22.1) frozen unstable; urgency=low

  * NMU
  * Add build-depends:  Closes: #105111

 -- LaMont Jones <lamont@ia.mmjgroup.com>  Mon, 23 Jul 2001 11:22:42 -0600

verse (0.22) frozen unstable; urgency=low

  * Fixed menu entry which called up an xterm only to have it disappear
    immediately.  Now uses the script verse-dialog.  Closes: 50130

 -- Oliver Elphick <olly@lfix.co.uk>  Sun, 20 May 2001 20:43:08 +0100

## verse 0.22.3

=== Makefile ===
# The location of the verses
VERSE_LIB = /usr/lib/
VERSE_NAME = daily.verse
BIN_DIR = /usr/bin
#CCOPTS = -g
CCOPTS = -O2 -ansi

all : verse

clean :
	rm -f verse *~

distclean : clean

verse : verse.c
	gcc $(CCOPTS) -DVERSE_LIB=\"$(VERSE_LIB)$(VERSE_NAME)\" -o verse verse.c
	strip verse

install : verse $(VERSE_NAME)
	cp verse debian-tmp/$(BIN_DIR)
	cp $(VERSE_NAME) debian-tmp/$(VERSE_LIB)$(VERSE_NAME)

=== debian/changelog ===
verse (0.22.3) unstable; urgency=low

  * Fixed spelling error in a verse

 -- Oliver Elphick <olly@lfix.co.uk>  Thu, 21 Nov 2002 00:27:08 +0000

verse (0.22.2) unstable; urgency=low

  * Added missing word "you" for 18th September. 

 -- Oliver Elphick <olly@lfix.co.uk>  Wed, 18 Sep 2002 08:26:04 +0100

=== debian/control ===
Source: verse
Section: doc
Priority: optional
Maintainer: Oliver Elphick <Oliver.Elphick@lfix.co.uk>
Standards-Version: 3.0.1.1
Build-Depends: debmake

Package: verse
Section: doc
Priority: optional
Architecture: any
Depends: ${shlibs:Depends},dialog
Description: Daily Devotional Verse from KJV Bible
 Verse displays a Bible Verse on each login. A verse from the King James
 Version of the Bible is assigned to each day.

=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,12 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
-	install --directory debian/tmp/usr/bin debian/tmp/usr/lib
+	install --directory debian/tmp/usr/bin debian/tmp/usr/lib debian/tmp/usr/share/doc/verse
 	install -m644 daily.verse debian/tmp/usr/lib
 	install -m755 verse debian/tmp/usr/bin
+	install -m755 debian/verse-dialog debian/tmp/usr/bin
+	install -m644 debian/changelog debian/tmp/usr/share/doc/verse/Debian.changelog
+	gzip -9 debian/tmp/usr/share/doc/verse/Debian.changelog  
 	debstd changes README.verse verse.lsm copyright
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp

## verse 0.22.4

=== Makefile ===
# The location of the verses
VERSE_LIB = /usr/share/verse/
VERSE_NAME = daily.verse
BIN_DIR = /usr/bin
CFLAGS = -Wall -g -O2 -ansi
MAN_DIR = /usr/share/man/man1

all : verse

clean :
	rm -f verse *~

distclean : clean

verse : verse.c
	gcc $(CFLAGS) -DVERSE_LIB=\"$(VERSE_LIB)$(VERSE_NAME)\" -o verse verse.c
	strip verse

install : verse $(VERSE_NAME)
	install -m 755 -d debian/verse/$(BIN_DIR)
	install -m 755 verse debian/verse/$(BIN_DIR)
	install -m 755 -d debian/verse/$(VERSE_LIB)
	install -m 644 $(VERSE_NAME) debian/verse/$(VERSE_LIB)$(VERSE_NAME)
	install -m 755 -d debian/verse/$(MAN_DIR)
	install -m 644 verse.1 debian/verse/$(MAN_DIR)

=== debian/changelog ===
verse (0.22.4) unstable; urgency=low

  * New maintainer
  * Update to Standards-Version 3.7.3 (numerous changes)
  * Switch from debmake to debhelper (Closes: #372963, #438240)
  * Fix specification for April 13 verse from Psalms (Closes: #181113)
  * Clean up verse text
  * Change verse database location from /usr/lib to /usr/share/verse
  * Updated man pages to reflect new locate of verse database

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 29 Dec 2007 23:36:22 -0500

=== debian/control ===
Source: verse
Section: doc
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Standards-Version: 3.7.3
Build-Depends: debhelper (>=5)

Package: verse
Section: doc
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, dialog
Description: Daily Devotional Verse from KJV Bible
 Verse displays a Bible Verse on each login. A verse from the King James
 Version of the Bible is assigned to each day.

## verse 0.22.5

=== debian/changelog ===
verse (0.22.5) unstable; urgency=low

  * Update to Standards-Version 3.8.3 (no changes)
  * Update copyright file to new proposed format
  * Fix verse for May 5th, patch from John Zaitseff (Closes: #527022)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 11 Sep 2009 15:33:17 -0400

=== debian/control ===
Source: verse
Section: doc
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Standards-Version: 3.8.3
Build-Depends: debhelper (>=5)

Package: verse
Architecture: any
Depends: dialog, ${shlibs:Depends}, ${misc:Depends}
Description: Daily Devotional Verse from KJV Bible
 Verse displays a Bible Verse on each login. A verse from the King James
 Version of the Bible is assigned to each day.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install
	install -m 755 $(CURDIR)/debian/verse-dialog $(CURDIR)/debian/verse/usr/bin/
	install -m 644 $(CURDIR)/debian/verse-dialog.1 $(CURDIR)/debian/verse/usr/share/man/man1/

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## verse 0.22.6

=== debian/changelog ===
verse (0.22.6) unstable; urgency=low

  * Update to Standards-Version 3.9.2 (no changes)
  * Stop ignoring "make clean" errors, patch from Jakub Wilk (Closes: #642238)
  * Specify Debian source format as "3.0 (native)"
  * Add recommended targets to debian/rules

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 20 Sep 2011 15:36:05 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>=5)
 
 Package: verse

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
@@ -34,7 +36,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 install: build

## verse 0.22.7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,9 @@
 VERSE_LIB = /usr/share/verse/
 VERSE_NAME = daily.verse
 BIN_DIR = /usr/bin
-CFLAGS = -Wall -g -O2 -ansi
+CFLAGS = -Wall -g -O2 -ansi $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 MAN_DIR = /usr/share/man/man1
 
 all : verse
@@ -13,7 +15,7 @@
 distclean : clean
 
 verse : verse.c
-	gcc $(CFLAGS) -DVERSE_LIB=\"$(VERSE_LIB)$(VERSE_NAME)\" -o verse verse.c
+	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DVERSE_LIB=\"$(VERSE_LIB)$(VERSE_NAME)\" -o verse verse.c
 	strip verse
 
 install : verse $(VERSE_NAME)

=== debian/changelog ===
verse (0.22.7) unstable; urgency=low

  * Cleanup build time warnings
  * Update to Standards-Version 3.9.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 03 Aug 2013 16:05:41 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>=5)
 
 Package: verse

## verse 0.22.7build1

=== debian/changelog ===
verse (0.22.7build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: verse
 Section: doc
 Priority: optional
-Maintainer: Roberto C. Sanchez <roberto@connexer.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>=5)

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0

## verse 0.22.7+nmu1

=== debian/changelog ===
verse (0.22.7+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:09:36 +0800

## verse 0.22.8

=== debian/changelog ===
verse (0.22.8) unstable; urgency=low

  * Patch from John Zaitseff (Closes: #782100):
    + Remove repeated word from April 8th verse (Philippians 4:6,7)
    + Remove trailing whitespace
  * Update maintainer email address.
  * Update to debhelper compatibility level 10 (Closes: #965862)
  * Update to Standards-Version 4.5.0 (no changes)
  * Change menu section (Apps -> Applications)

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 25 Sep 2020 11:38:34 -0400

=== debian/control ===
Source: verse
Section: doc
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>=10)

Package: verse
Architecture: any
Depends: dialog, ${shlibs:Depends}, ${misc:Depends}
Description: Daily Devotional Verse from KJV Bible
 Verse displays a Bible Verse on each login. A verse from the King James
 Version of the Bible is assigned to each day.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_install:
	dh_install
	install -m 755 $(CURDIR)/debian/verse-dialog $(CURDIR)/debian/verse/usr/bin/
	install -m 644 $(CURDIR)/debian/verse-dialog.1 $(CURDIR)/debian/verse/usr/share/man/man1/

override_dh_missing:
	dh_missing --fail-missing

## verse 0.22.9

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 MAN_DIR = /usr/share/man/man1
+CC ?= gcc
 
 all : verse
 
@@ -15,8 +16,7 @@
 distclean : clean
 
 verse : verse.c
-	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DVERSE_LIB=\"$(VERSE_LIB)$(VERSE_NAME)\" -o verse verse.c
-	strip verse
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DVERSE_LIB=\"$(VERSE_LIB)$(VERSE_NAME)\" -o verse verse.c
 
 install : verse $(VERSE_NAME)
 	install -m 755 -d debian/verse/$(BIN_DIR)

=== debian/changelog ===
verse (0.22.9) unstable; urgency=medium

  * Improved support for cross-building, thanks to Nilesh Patra for the patch
    (Closes: #1014624)
  * Update to Standards-Version 4.6.1 (no changes)
  * Build with hardening flags enabled

 -- Roberto C. Sánchez <roberto@debian.org>  Sat, 09 Jul 2022 10:21:15 -0400

=== debian/control ===
Source: verse
Section: doc
Priority: optional
Maintainer: Roberto C. Sánchez <roberto@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper (>=10)

Package: verse
Architecture: any
Depends: dialog, ${shlibs:Depends}, ${misc:Depends}
Description: Daily Devotional Verse from the KJV Bible
 Verse displays a Bible Verse on each login. A verse from the King James
 Version of the Bible is assigned to each day.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --with autoreconf

## verse 0.22.9build1

=== debian/changelog ===
verse (0.22.9build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 12 Jan 2026 16:45:21 +0000
